Allow customization of columns in host view.
Description

Hi,

On the hosts page.

https://foreman.example.org/hosts

would it be possible allow the customization of which columns are shown. For instance we like to add the host owner

and description to this view.

Many Thanks.

Steve.

Related issues:

Related to Foreman - Feature #32: Provide a way to organize the Inventory dis... New

Related to Foreman - Feature #6119: UI Improvements Resolved 06/09/2014

History

#1 - 12/05/2011 03:10 AM - Ohad Levy

- Assignee changed from Ohad Levy to Amos Benari

#2 - 02/14/2012 06:12 AM - Elias Abacioglu

+1, I also want this feature.

I would like to add a custom fact to the hosts list. And perhaps a "limited"(say the 1st line and 20 first chars of the comment box) comment box..

#3 - 05/02/2012 09:19 AM - Jacob McCann

I'm with Elias and would like to add facts to the columns.

#4 - 01/07/2013 10:02 AM - Daniel Lobato Garcia

Taking care of this.

#5 - 01/07/2013 11:16 AM - Daniel Lobato Garcia

Daniel Lobato Garcia wrote:

Taking care of this.

 http://theforeman.org/issues/32#note-8 by doing this

#6 - 04/22/2013 09:38 AM - Ohad Levy

- Status changed from New to Resolved

there was a plugin resolving this, see foreman_column_view at List_of_Plugins
#7 - 06/09/2014 12:29 PM - Dominic Cleal

- Related to Feature #6119: UI Improvements added
